summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2010-12-19 15:16:35 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2010-12-19 15:16:35 +0000
commit64d0ff18cae6e15062baabb62c565da326d6e566 (patch)
tree7a7ebe766447647ddeae429a1c83d1894785c00b
parent20bfb54fb4ffbd34deedd2722a0d310e7f96cf2f (diff)
parent24c6d1edf1b52d72a48d013826650c9dd13b6492 (diff)
downloadaports-64d0ff18cae6e15062baabb62c565da326d6e566.tar.bz2
aports-64d0ff18cae6e15062baabb62c565da326d6e566.tar.xz
Merge branch 'master' of git://git.alpinelinux.org/aports
-rw-r--r--main/apk-tools/0001-gunzip-fix-ordering-of-boundary-callbacks.patch81
-rw-r--r--main/apk-tools/APKBUILD6
-rw-r--r--main/bbsuid/APKBUILD4
-rw-r--r--main/gawk/APKBUILD9
-rw-r--r--main/gnome-doc-utils/APKBUILD4
-rw-r--r--main/heimdal/APKBUILD8
-rw-r--r--main/libatasmart/APKBUILD5
-rw-r--r--main/libmpdclient/APKBUILD4
-rw-r--r--main/libtirpc/APKBUILD2
-rw-r--r--main/linux-grsec/0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch42
-rw-r--r--main/linux-grsec/APKBUILD10
-rw-r--r--main/linux-grsec/kernelconfig.x864
-rw-r--r--main/linux-grsec/kernelconfig.x86_644
-rw-r--r--main/linux-vserver/0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch42
-rw-r--r--main/linux-vserver/APKBUILD18
-rw-r--r--main/linux-vserver/kernelconfig.x864
-rw-r--r--main/linux-vserver/kernelconfig.x86_644
-rw-r--r--main/perl-dbd-mysql/APKBUILD4
-rw-r--r--main/perl-dbi/APKBUILD4
-rw-r--r--main/perl-netaddr-ip/APKBUILD17
-rw-r--r--main/py-cairo/APKBUILD4
-rw-r--r--main/samba/APKBUILD2
-rw-r--r--main/squid/APKBUILD2
-rw-r--r--main/transmission/APKBUILD4
-rw-r--r--main/vim/APKBUILD160
-rw-r--r--testing/avahi/APKBUILD113
-rw-r--r--testing/avahi/avahi.pre-install13
-rw-r--r--testing/avahi/gnome-nettool.pngbin0 -> 4509 bytes
-rw-r--r--testing/bluez/APKBUILD20
-rw-r--r--testing/bluez/bluetooth.initd2
-rw-r--r--testing/gnome-bluetooth/APKBUILD4
-rw-r--r--testing/gnome-disk-utility/APKBUILD60
-rw-r--r--testing/gnome-disk-utility/exp2.patch16
-rw-r--r--testing/gnome-disk-utility/fix-freeze.patch32
-rw-r--r--testing/gvfs/APKBUILD72
-rw-r--r--testing/gvfs/gvfs.trigger6
-rw-r--r--testing/libarchive/APKBUILD33
-rw-r--r--testing/libdaemon/APKBUILD29
-rw-r--r--testing/lua-sec/APKBUILD40
-rw-r--r--testing/obex-data-server/APKBUILD29
-rw-r--r--testing/obexd/APKBUILD28
-rw-r--r--testing/openobex/APKBUILD5
-rw-r--r--testing/psmisc/APKBUILD36
-rw-r--r--testing/xz/APKBUILD37
44 files changed, 935 insertions, 88 deletions
diff --git a/main/apk-tools/0001-gunzip-fix-ordering-of-boundary-callbacks.patch b/main/apk-tools/0001-gunzip-fix-ordering-of-boundary-callbacks.patch
new file mode 100644
index 000000000..44711d227
--- /dev/null
+++ b/main/apk-tools/0001-gunzip-fix-ordering-of-boundary-callbacks.patch
@@ -0,0 +1,81 @@
+From f126316c791371bd3dfd7c348b10e93e49f5e2d4 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Timo=20Ter=C3=A4s?= <timo.teras@iki.fi>
+Date: Fri, 17 Dec 2010 09:36:19 +0200
+Subject: [PATCH] gunzip: fix ordering of boundary callbacks
+
+The boundary callback should not happen until all the uncompressed
+data has been consumed. This previously seems to have worked
+because normally gzip library returns "no error" instead of the
+"stream end" if we extract exactly the amount of bytes remaining
+in the archive. (Perhaps this was changed in new zlib.) In any
+case, verification was broken with some apks due to this callback
+ordering issue.
+---
+ src/gunzip.c | 32 ++++++++++++++++++++++++--------
+ 1 files changed, 24 insertions(+), 8 deletions(-)
+
+diff --git a/src/gunzip.c b/src/gunzip.c
+index aebaf76..df2bbbb 100644
+--- a/src/gunzip.c
++++ b/src/gunzip.c
+@@ -27,6 +27,7 @@ struct apk_gzip_istream {
+ apk_multipart_cb cb;
+ void *cbctx;
+ void *cbprev;
++ apk_blob_t cbarg;
+ };
+
+ static ssize_t gzi_read(void *stream, void *ptr, size_t size)
+@@ -48,6 +49,18 @@ static ssize_t gzi_read(void *stream, void *ptr, size_t size)
+ gis->zs.next_out = ptr;
+
+ while (gis->zs.avail_out != 0 && gis->err == 0) {
++ if (!APK_BLOB_IS_NULL(gis->cbarg)) {
++ r = gis->cb(gis->cbctx,
++ gis->err ? APK_MPART_END : APK_MPART_BOUNDARY,
++ gis->cbarg);
++ if (r > 0)
++ r = -ECANCELED;
++ if (r != 0) {
++ gis->err = r;
++ goto ret;
++ }
++ gis->cbarg = APK_BLOB_NULL;
++ }
+ if (gis->zs.avail_in == 0) {
+ apk_blob_t blob;
+
+@@ -86,19 +99,22 @@ static ssize_t gzi_read(void *stream, void *ptr, size_t size)
+ gis->zs.avail_in == 0)
+ gis->err = 1;
+ if (gis->cb != NULL) {
++ gis->cbarg = APK_BLOB_PTR_LEN(gis->cbprev, (void *) gis->zs.next_in - gis->cbprev);
++ gis->cbprev = gis->zs.next_in;
++ }
++ /* If we hit end of the bitstream (not end
++ * of just this gzip), we need to do the
++ * callback here, as we won't be called again.
++ * For boundaries it should be postponed to not
++ * be called until next gzip read is started. */
++ if (gis->err) {
+ r = gis->cb(gis->cbctx,
+ gis->err ? APK_MPART_END : APK_MPART_BOUNDARY,
+- APK_BLOB_PTR_LEN(gis->cbprev, (void *) gis->zs.next_in - gis->cbprev));
++ gis->cbarg);
+ if (r > 0)
+ r = -ECANCELED;
+- if (r != 0) {
+- gis->err = r;
+- goto ret;
+- }
+- gis->cbprev = gis->zs.next_in;
+- }
+- if (gis->err)
+ goto ret;
++ }
+ inflateEnd(&gis->zs);
+ if (inflateInit2(&gis->zs, 15+32) != Z_OK)
+ return -ENOMEM;
+--
+1.7.3.4
+
diff --git a/main/apk-tools/APKBUILD b/main/apk-tools/APKBUILD
index 9bb3c1bb2..fcb46815c 100644
--- a/main/apk-tools/APKBUILD
+++ b/main/apk-tools/APKBUILD
@@ -1,13 +1,14 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apk-tools
pkgver=2.0.7
-pkgrel=1
+pkgrel=4
pkgdesc="Alpine Package Keeper - package manager for alpine"
subpackages="$pkgname-static"
depends=
makedepends="zlib-dev openssl-dev pkgconfig"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
0001-info-return-error-if-owning-package-was-not-found.patch
+ 0001-gunzip-fix-ordering-of-boundary-callbacks.patch
"
url="http://git.alpinelinux.org/cgit/apk-tools/"
@@ -50,4 +51,5 @@ static() {
}
md5sums="3c4591c594f9b2261ab588446a50d183 apk-tools-2.0.7.tar.bz2
-1364d38e784ad6cc04e157665903ef0c 0001-info-return-error-if-owning-package-was-not-found.patch"
+1364d38e784ad6cc04e157665903ef0c 0001-info-return-error-if-owning-package-was-not-found.patch
+e47a96010eafab0b24588a7f6bb2800b 0001-gunzip-fix-ordering-of-boundary-callbacks.patch"
diff --git a/main/bbsuid/APKBUILD b/main/bbsuid/APKBUILD
index 43acfb095..5918c6bc5 100644
--- a/main/bbsuid/APKBUILD
+++ b/main/bbsuid/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=bbsuid
-pkgver=0.4
+pkgver=0.5
pkgrel=0
pkgdesc="Busybox SUID root application wrapper"
url="http://git.alpinelinux.org/cgit/bbsuid"
@@ -19,4 +19,4 @@ package() {
make install DESTDIR="$pkgdir"
}
-md5sums="c4cfdf6e7c9d66f8825cbe319e3be3cc bbsuid-0.4.tar.bz2"
+md5sums="bc1739330dc66952f15c714841a9a32b bbsuid-0.5.tar.bz2"
diff --git a/main/gawk/APKBUILD b/main/gawk/APKBUILD
index c48357a01..fd7fe9482 100644
--- a/main/gawk/APKBUILD
+++ b/main/gawk/APKBUILD
@@ -2,14 +2,14 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gawk
pkgver=3.1.8
-pkgrel=0
+pkgrel=1
pkgdesc="GNU awk pattern-matching language"
url="http://www.gnu.org/software/gawk/gawk.html"
-arch="x86 x86_64"
+arch="all"
license="GPL"
depends=
makedepends=""
-install="$pkgname.post-deinstall"
+install=
subpackages="$pkgname-doc"
source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz
$install"
@@ -31,5 +31,4 @@ package() {
}
-md5sums="35937a0f83f0efe7a8c2dee635624784 gawk-3.1.8.tar.gz
-b84506d253e04db3c5af9016fead45a3 gawk.post-deinstall"
+md5sums="35937a0f83f0efe7a8c2dee635624784 gawk-3.1.8.tar.gz"
diff --git a/main/gnome-doc-utils/APKBUILD b/main/gnome-doc-utils/APKBUILD
index 0d504e508..5bcaad6df 100644
--- a/main/gnome-doc-utils/APKBUILD
+++ b/main/gnome-doc-utils/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gnome-doc-utils
pkgver=0.18.1
-pkgrel=0
+pkgrel=1
pkgdesc="Documentation utilities for Gnome"
url="http://www.gnome.org"
arch="x86 x86_64"
license="GPL LGPL"
-depends="python docbook-xml rarian"
+depends="python docbook-xml rarian py-libxml2 libxslt"
makedepends="libxslt-dev libxml2-dev perl-xml-parser rarian-dev pkgconfig
gettext-dev intltool"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2
diff --git a/main/heimdal/APKBUILD b/main/heimdal/APKBUILD
index 660e0425b..90c2e6383 100644
--- a/main/heimdal/APKBUILD
+++ b/main/heimdal/APKBUILD
@@ -2,12 +2,13 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
pkgname=heimdal
pkgver=1.4
-pkgrel=3
+pkgrel=5
pkgdesc="An implementation of Kerberos 5"
arch="x86 x86_64"
url="http://www.h5l.org/"
license="BSD"
depends=
+depends_dev="openssl-dev e2fsprogs-dev"
makedepends="autoconf automake e2fsprogs-dev>=1.41.9-r2 gawk libtool openssl-dev
pkgconfig readline-dev sqlite-dev"
install=
@@ -21,8 +22,6 @@ source="http://ftp4.de.freesbie.org/pub/misc/heimdal/src/$pkgname-$pkgver.tar.gz
014_all_heimdal-path.patch
heimdal-1.4-make.patch
"
-# krb5.h needs com_err.h
-depends_dev="e2fsprogs-dev"
_builddir="$srcdir/$pkgname-$pkgver"
@@ -58,7 +57,8 @@ build() {
--with-readline-lib=/usr/lib \
--with-readline-include=/usr/include/readline \
--with-openssl=/usr
-
+ # workarount a parallell build issue
+ make -C lib/kadm5 kadm5_err.h || return 1
make || return 1
}
diff --git a/main/libatasmart/APKBUILD b/main/libatasmart/APKBUILD
index 2f09a8cce..07ce088b1 100644
--- a/main/libatasmart/APKBUILD
+++ b/main/libatasmart/APKBUILD
@@ -1,13 +1,14 @@
# Contributor: Carlo Landmeter
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libatasmart
pkgver=0.17
-pkgrel=0
+pkgrel=1
pkgdesc="ATA S.M.A.R.T. Reading and Parsing Library"
url="http://0pointer.de/blog/projects/being-smart.html"
arch="x86 x86_64"
license="GPL"
depends=
+depends_dev="udev-dev"
makedepends="udev-dev"
install=
subpackages="$pkgname-dev $pkgname-doc"
diff --git a/main/libmpdclient/APKBUILD b/main/libmpdclient/APKBUILD
index e80f9c3e7..ba57ebe31 100644
--- a/main/libmpdclient/APKBUILD
+++ b/main/libmpdclient/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libmpdclient
-pkgver=2.2
+pkgver=2.3
pkgrel=0
pkgdesc="An asynchronous API library for interfacing MPD in the C, C++ & Objective C languages"
url="http://mpd.wikia.com/wiki/Client:libmpdclient"
@@ -21,4 +21,4 @@ package() {
cd "$srcdir"/$pkgname-$pkgver
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="8b9dff75d6c820b781ce066417df4078 libmpdclient-2.2.tar.bz2"
+md5sums="d14bad30c9c117aa6b211ad9f96cfbe0 libmpdclient-2.3.tar.bz2"
diff --git a/main/libtirpc/APKBUILD b/main/libtirpc/APKBUILD
index 489f36dcd..8c13ab1de 100644
--- a/main/libtirpc/APKBUILD
+++ b/main/libtirpc/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libtirpc
pkgver=0.2.1
-pkgrel=2
+pkgrel=3
pkgdesc="Transport Independent RPC library (SunRPC replacement)"
url="http://libtirpc.sourceforge.net/"
arch="x86 x86_64"
diff --git a/main/linux-grsec/0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch b/main/linux-grsec/0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch
new file mode 100644
index 000000000..3ba0a1e31
--- /dev/null
+++ b/main/linux-grsec/0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch
@@ -0,0 +1,42 @@
+Subject: [PATCH] staging: hv: fix netvsc sleeping while atomic
+Date: Fri, 17 Dec 2010 11:40:24 +0200
+Message-Id: <1292578824-14408-1-git-send-email-timo.teras@iki.fi>
+X-Mailer: git-send-email 1.7.1
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+X-Virus-Scanned: ClamAV using ClamSMTP
+Status: O
+Content-Length: 845
+Lines: 29
+
+The channel callbacks are called directly from vmbus_event_dpc
+which runs in tasklet context. These callbacks need to use
+GFP_ATOMIC.
+
+Bugzilla: https://bugzilla.kernel.org/show_bug.cgi?id=16701
+
+Cc: Hank Janssen <hjanssen@microsoft.com>
+Cc: Haiyang Zhang <haiyangz@microsoft.com>
+Signed-off-by: Timo Teräs <timo.teras@iki.fi>
+---
+ drivers/staging/hv/netvsc.c | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/drivers/staging/hv/netvsc.c b/drivers/staging/hv/netvsc.c
+index 8022781..3784923 100644
+--- a/drivers/staging/hv/netvsc.c
++++ b/drivers/staging/hv/netvsc.c
+@@ -1236,7 +1236,7 @@ static void NetVscOnChannelCallback(void *Context)
+ /* ASSERT(device); */
+
+ packet = kzalloc(NETVSC_PACKET_SIZE * sizeof(unsigned char),
+- GFP_KERNEL);
++ GFP_ATOMIC);
+ if (!packet)
+ return;
+ buffer = packet;
+--
+1.7.1
+
+
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index bce1bb543..4021b6a4b 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -4,7 +4,7 @@ _flavor=grsec
pkgname=linux-${_flavor}
pkgver=2.6.35.9
_kernver=2.6.35
-pkgrel=4
+pkgrel=5
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
depends="mkinitfs linux-firmware"
@@ -20,7 +20,10 @@ source="ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_kernver.tar.bz2
0004-arp-flush-arp-cache-on-device-change.patch
r8169-fix-rx-checksum-offload.patch
r8169-add-gro-support.patch
+
0001-Staging-hv-fix-sleeping-while-atomic-issue.patch
+ 0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch
+
setlocalversion.patch
kernelconfig.x86
kernelconfig.x86_64
@@ -153,6 +156,7 @@ ea7a7eb2775b71ae5ef24d029a4905bd xfrm-fix-gre-key-endianess.patch
0ccecafd4123dcad0b0cd7787553d734 r8169-fix-rx-checksum-offload.patch
139b39da44ecb577275be53d7d365949 r8169-add-gro-support.patch
648d8b477248f233c318a3b7a961febf 0001-Staging-hv-fix-sleeping-while-atomic-issue.patch
+7cae2d1e1947fa57d7aaaf31c649471c 0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch
8c224ba0cdf0aa572c7eb50379435be4 setlocalversion.patch
-47ca10abf2b420ea393395325e3a67f6 kernelconfig.x86
-eaa1f4b90c35ae9c94c16bbe4c4ba4f5 kernelconfig.x86_64"
+a9494f66196bc6308da0f129221d31b8 kernelconfig.x86
+b38f1f99f8f3b75c52d4a1ab2b0d13fd kernelconfig.x86_64"
diff --git a/main/linux-grsec/kernelconfig.x86 b/main/linux-grsec/kernelconfig.x86
index 3d6d023ae..498f17bf8 100644
--- a/main/linux-grsec/kernelconfig.x86
+++ b/main/linux-grsec/kernelconfig.x86
@@ -3394,11 +3394,11 @@ CONFIG_DRM_TTM=m
CONFIG_DRM_TDFX=m
CONFIG_DRM_R128=m
CONFIG_DRM_RADEON=m
-CONFIG_DRM_RADEON_KMS=y
+# CONFIG_DRM_RADEON_KMS is not set
CONFIG_DRM_I810=m
CONFIG_DRM_I830=m
CONFIG_DRM_I915=m
-CONFIG_DRM_I915_KMS=y
+# CONFIG_DRM_I915_KMS is not set
CONFIG_DRM_MGA=m
CONFIG_DRM_SIS=m
CONFIG_DRM_VIA=m
diff --git a/main/linux-grsec/kernelconfig.x86_64 b/main/linux-grsec/kernelconfig.x86_64
index 9f43887cd..627e7c812 100644
--- a/main/linux-grsec/kernelconfig.x86_64
+++ b/main/linux-grsec/kernelconfig.x86_64
@@ -3227,11 +3227,11 @@ CONFIG_DRM_TTM=m
CONFIG_DRM_TDFX=m
CONFIG_DRM_R128=m
CONFIG_DRM_RADEON=m
-CONFIG_DRM_RADEON_KMS=y
+# CONFIG_DRM_RADEON_KMS is not set
CONFIG_DRM_I810=m
CONFIG_DRM_I830=m
CONFIG_DRM_I915=m
-CONFIG_DRM_I915_KMS=y
+# CONFIG_DRM_I915_KMS is not set
CONFIG_DRM_MGA=m
CONFIG_DRM_SIS=m
CONFIG_DRM_VIA=m
diff --git a/main/linux-vserver/0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch b/main/linux-vserver/0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch
new file mode 100644
index 000000000..3ba0a1e31
--- /dev/null
+++ b/main/linux-vserver/0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch
@@ -0,0 +1,42 @@
+Subject: [PATCH] staging: hv: fix netvsc sleeping while atomic
+Date: Fri, 17 Dec 2010 11:40:24 +0200
+Message-Id: <1292578824-14408-1-git-send-email-timo.teras@iki.fi>
+X-Mailer: git-send-email 1.7.1
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+X-Virus-Scanned: ClamAV using ClamSMTP
+Status: O
+Content-Length: 845
+Lines: 29
+
+The channel callbacks are called directly from vmbus_event_dpc
+which runs in tasklet context. These callbacks need to use
+GFP_ATOMIC.
+
+Bugzilla: https://bugzilla.kernel.org/show_bug.cgi?id=16701
+
+Cc: Hank Janssen <hjanssen@microsoft.com>
+Cc: Haiyang Zhang <haiyangz@microsoft.com>
+Signed-off-by: Timo Teräs <timo.teras@iki.fi>
+---
+ drivers/staging/hv/netvsc.c | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/drivers/staging/hv/netvsc.c b/drivers/staging/hv/netvsc.c
+index 8022781..3784923 100644
+--- a/drivers/staging/hv/netvsc.c
++++ b/drivers/staging/hv/netvsc.c
+@@ -1236,7 +1236,7 @@ static void NetVscOnChannelCallback(void *Context)
+ /* ASSERT(device); */
+
+ packet = kzalloc(NETVSC_PACKET_SIZE * sizeof(unsigned char),
+- GFP_KERNEL);
++ GFP_ATOMIC);
+ if (!packet)
+ return;
+ buffer = packet;
+--
+1.7.1
+
+
diff --git a/main/linux-vserver/APKBUILD b/main/linux-vserver/APKBUILD
index 503463217..de2b21846 100644
--- a/main/linux-vserver/APKBUILD
+++ b/main/linux-vserver/APKBUILD
@@ -5,7 +5,7 @@ pkgname=linux-${_flavor}
pkgver=2.6.35.9
_kernver=2.6.35
-pkgrel=2
+pkgrel=3
pkgdesc="Linux kernel with vserver"
url="http://linux-vserver.org/"
depends="mkinitfs linux-firmware"
@@ -16,6 +16,7 @@ install=
source="ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_kernver.tar.bz2
ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
0001-Staging-hv-fix-sleeping-while-atomic-issue.patch
+ 0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch
patch-2.6.35.9-vs2.3.0.36.33.diff
setlocalversion.patch
kernelconfig.x86
@@ -45,7 +46,7 @@ prepare() {
done
mkdir -p "$srcdir"/build
- cp "$srcdir"/$_config "$srcdir"/build/.config
+ cp "$srcdir"/$_config "$srcdir"/build/.config || return 1
make -C "$srcdir"/linux-$_kernver O="$srcdir"/build HOSTCC="${CC:-gcc}" \
silentoldconfig
}
@@ -54,7 +55,7 @@ prepare() {
menuconfig() {
cd "$srcdir"/build
make menuconfig
- cp .config "$startdir"/$_config
+ cp .config "$startdir"/$_config || return 1
}
build() {
@@ -62,15 +63,15 @@ build() {
make CC="${CC:-gcc}" \
KBUILD_BUILD_VERSION="$((pkgrel + 1 ))-Alpine" \
|| return 1
-
}
package() {
cd "$srcdir"/build
mkdir -p "$pkgdir"/boot "$pkgdir"/lib/modules
- make modules_install install \
+ make -j1 modules_install install \
INSTALL_MOD_PATH="$pkgdir" \
- INSTALL_PATH="$pkgdir"/boot
+ INSTALL_PATH="$pkgdir"/boot \
+ || return 1
rm -f "$pkgdir"/lib/modules/${_abi_release}/build \
"$pkgdir"/lib/modules/${_abi_release}/source
@@ -129,7 +130,8 @@ dev() {
md5sums="091abeb4684ce03d1d936851618687b6 linux-2.6.35.tar.bz2
eca407cf4872ad77ae23adc8242389c4 patch-2.6.35.9.bz2
648d8b477248f233c318a3b7a961febf 0001-Staging-hv-fix-sleeping-while-atomic-issue.patch
+7cae2d1e1947fa57d7aaaf31c649471c 0004-staging-hv-fix-netvsc-sleeping-while-atomic.patch
915974abb0ad49337b91f0f487593fd2 patch-2.6.35.9-vs2.3.0.36.33.diff
8c224ba0cdf0aa572c7eb50379435be4 setlocalversion.patch
-f703a5fa7a90d60e3e35bb92d1f99c37 kernelconfig.x86
-9483d5a8e2955d5e26b5ee70bac1d065 kernelconfig.x86_64"
+10b1e713ce4422e69e1c96ba78feb7a9 kernelconfig.x86
+dc9477df20cf7da64bfc8e25fcd47ac3 kernelconfig.x86_64"
diff --git a/main/linux-vserver/kernelconfig.x86 b/main/linux-vserver/kernelconfig.x86
index 31d9864d0..a081014d2 100644
--- a/main/linux-vserver/kernelconfig.x86
+++ b/main/linux-vserver/kernelconfig.x86
@@ -3418,11 +3418,11 @@ CONFIG_DRM_TTM=m
CONFIG_DRM_TDFX=m
CONFIG_DRM_R128=m
CONFIG_DRM_RADEON=m
-CONFIG_DRM_RADEON_KMS=y
+# CONFIG_DRM_RADEON_KMS is not set
CONFIG_DRM_I810=m
CONFIG_DRM_I830=m
CONFIG_DRM_I915=m
-CONFIG_DRM_I915_KMS=y
+# CONFIG_DRM_I915_KMS is not set
CONFIG_DRM_MGA=m
CONFIG_DRM_SIS=m
CONFIG_DRM_VIA=m
diff --git a/main/linux-vserver/kernelconfig.x86_64 b/main/linux-vserver/kernelconfig.x86_64
index 8253abd81..922b6d3a1 100644
--- a/main/linux-vserver/kernelconfig.x86_64
+++ b/main/linux-vserver/kernelconfig.x86_64
@@ -3278,11 +3278,11 @@ CONFIG_DRM_TTM=m
CONFIG_DRM_TDFX=m
CONFIG_DRM_R128=m
CONFIG_DRM_RADEON=m
-CONFIG_DRM_RADEON_KMS=y
+# CONFIG_DRM_RADEON_KMS is not set
CONFIG_DRM_I810=m
CONFIG_DRM_I830=m
CONFIG_DRM_I915=m
-CONFIG_DRM_I915_KMS=y
+# CONFIG_DRM_I915_KMS is not set
CONFIG_DRM_MGA=m
CONFIG_DRM_SIS=m
CONFIG_DRM_VIA=m
diff --git a/main/perl-dbd-mysql/APKBUILD b/main/perl-dbd-mysql/APKBUILD
index 10df0667f..2e81b8fc7 100644
--- a/main/perl-dbd-mysql/APKBUILD
+++ b/main/perl-dbd-mysql/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname=perl-dbd-mysql
_realpkgname=DBD-mysql
-pkgver=4.014
+pkgver=4.018
pkgrel=0
pkgdesc="Perl CPAN DBD::Mysql module"
url="http://search.cpan.org/dist/${_realpkgname}"
@@ -29,4 +29,4 @@ package() {
make DESTDIR="$pkgdir" install
}
-md5sums="74f118a4984e6a49f8ece28e68caf543 DBD-mysql-4.014.tar.gz"
+md5sums="d1d4ee2f20910d6491d1b6216471b2f1 DBD-mysql-4.018.tar.gz"
diff --git a/main/perl-dbi/APKBUILD b/main/perl-dbi/APKBUILD
index b9931b226..8687f47eb 100644
--- a/main/perl-dbi/APKBUILD
+++ b/main/perl-dbi/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname=perl-dbi
_realpkgname=DBI
-pkgver=1.612
+pkgver=1.615
pkgrel=0
pkgdesc="Database independent interface for Perl"
url="http://search.cpan.org/dist/${_realpkgname}"
@@ -32,4 +32,4 @@ package() {
find "$pkgdir" -name perllocal.pod -delete
}
-md5sums="a045d41b8056e549354ab2346fdfac86 DBI-1.612.tar.gz"
+md5sums="1d88dfecd8e372a87591cd8c55944430 DBI-1.615.tar.gz"
diff --git a/main/perl-netaddr-ip/APKBUILD b/main/perl-netaddr-ip/APKBUILD
index 03cbd97fd..830f09203 100644
--- a/main/perl-netaddr-ip/APKBUILD
+++ b/main/perl-netaddr-ip/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname=perl-netaddr-ip
_realname=NetAddr-IP
-pkgver=4.034
+pkgver=4.037
pkgrel=0
pkgdesc="Perl extension for managing IPv4 and IPv6 addresses and subnets"
url="http://search.cpan.org/~miker/NetAddr-IP-$pkgver/"
@@ -14,14 +14,23 @@ install=
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/M/MI/MIKER/$_realname-$pkgver.tar.gz"
-build() {
- cd "$srcdir/$_realname-$pkgver"
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+ return 0
+}
+build() {
+ cd $_builddir
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
make || return 1
+}
+
+package() {
+ cd $_builddir
make DESTDIR="$pkgdir" install
# creates file collision among perl modules
find "$pkgdir" -name perllocal.pod -delete
}
-md5sums="830b05a730ee4dfdde528e3100e92024 NetAddr-IP-4.034.tar.gz"
+md5sums="d966eac6b5941af3f7c1fad839569cb4 NetAddr-IP-4.037.tar.gz"
diff --git a/main/py-cairo/APKBUILD b/main/py-cairo/APKBUILD
index 1119611e2..8ef028864 100644
--- a/main/py-cairo/APKBUILD
+++ b/main/py-cairo/APKBUILD
@@ -1,10 +1,10 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=py-cairo
pkgver=1.8.10
-pkgrel=0
+pkgrel=1
pkgdesc="Python bindings for the cairo graphics library"
url="http://cairographics.org/pycairo/"
-arch="x86 x86_64"
+arch="all"
license="GPL"
depends=
makedepends="python-dev cairo-dev"
diff --git a/main/samba/APKBUILD b/main/samba/APKBUILD
index ef0d2475d..583db4472 100644
--- a/main/samba/APKBUILD
+++ b/main/samba/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=samba
pkgver=3.5.6
-pkgrel=1
+pkgrel=2
pkgdesc="Tools to access a server's filespace and printers via SMB"
url="http://www.samba.org"
arch="x86 x86_64"
diff --git a/main/squid/APKBUILD b/main/squid/APKBUILD
index 0c207748e..d4ab5963b 100644
--- a/main/squid/APKBUILD
+++ b/main/squid/APKBUILD
@@ -3,7 +3,7 @@
pkgname=squid
pkgver=2.7.9
_ver=2.7.STABLE9
-pkgrel=2
+pkgrel=3
pkgdesc="A full-featured Web proxy cache server."
url="http://www.squid-cache.org"
install="squid.pre-install squid.pre-upgrade squid.post-install"
diff --git a/main/transmission/APKBUILD b/main/transmission/APKBUILD
index e5e3afb5e..16ca83c87 100644
--- a/main/transmission/APKBUILD
+++ b/main/transmission/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer:Carlo Landmeter
pkgname=transmission
-pkgver=2.12
+pkgver=2.13
pkgrel=0
pkgdesc="Lightweight GTK BitTorrent client"
url="http://www.tansmissionbt.com"
@@ -63,6 +63,6 @@ cli() {
"$subpkgdir"/usr/bin/
}
-md5sums="f3d34fdbbf3ae25635f9e7bf7e662cd9 transmission-2.12.tar.bz2
+md5sums="eb126ae88b80487f2840896939019421 transmission-2.13.tar.bz2
f65b8ae46f8ac89b35844109b3aa0c18 transmission-daemon.initd
89478a70fcd93463e1dd8d751da994da transmission-daemon.confd"
diff --git a/main/vim/APKBUILD b/main/vim/APKBUILD
index 7f517c5d1..44897b211 100644
--- a/main/vim/APKBUILD
+++ b/main/vim/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=vim
-pkgver=7.3.003
+pkgver=7.3.82
_srcver=${pkgver%.*}
_patchver=${pkgver##*.}
pkgrel=0
@@ -17,6 +17,85 @@ source="ftp://ftp.vim.org/pub/vim/unix/vim-${_srcver}.tar.bz2
ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.001
ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.002
ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.003
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.004
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.005
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.006
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.007
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.008
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.009
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.010
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.011
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.012
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.013
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.014
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.015
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.016
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.017
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.018
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.019
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.020
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.021
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.022
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.023
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.024
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.025
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.026
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.027
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.028
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.029
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.030
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.031
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.032
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.033
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.034
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.035
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.036
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.037
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.038
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.039
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.040
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.041
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.042
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.043
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.044
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.045
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.046
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.047
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.048
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.049
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.050
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.051
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.052
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.053
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.054
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.055
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.056
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.057
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.058
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.059
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.060
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.061
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.062
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.063
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.064
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.065
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.066
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.067
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.068
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.069
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.070
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.071
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.072
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.073
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.074
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.075
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.076
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.077
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.078
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.079
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.080
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.081
+ ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.082
vimrc
"
@@ -66,4 +145,83 @@ md5sums="5b9510a17074e2b37d8bb38ae09edbf2 vim-7.3.tar.bz2
aa5582d8289b43255f45d4bb6f62e140 7.3.001
2949cbdfe86f533c487fd144c5935c7a 7.3.002
9059db41cf3a468935745242cb9c0514 7.3.003
+9aaa4490d2fbf9a1e780a151fb41f279 7.3.004
+bf5b5fad8c4de23449fa7c7c01969369 7.3.005
+f53d95dfb1eee5f5f769594174d0e9d4 7.3.006
+a7a4c56110662bc3ba6fbb2fd645d94f 7.3.007
+be756a231afe754d004b6c8a9d12bb50 7.3.008
+f4ed2feff44e2c1898fd5e60f9f97b0d 7.3.009
+4fffed01d3683b0b8b23df600a0bada2 7.3.010
+4ee8f06dce300c0be029bf00b03ef093 7.3.011
+89faf7d5eef1d1d50b657fe34ee7c90b 7.3.012
+6a029d61f7d51c1bea55330732676319 7.3.013
+d0109c0c413c405fdb827ec20f3903d8 7.3.014
+4db0a869dbe00c360541ad2c1ca87a2d 7.3.015
+e0c634532a865d7ed47942080e371b3e 7.3.016
+f52aa5bc3df02c3bb4c75849b2b5f431 7.3.017
+02270ecbc1dc2f57de80441ac7cdd0f0 7.3.018
+5c1be1a0a107261e0a716c877c82fc97 7.3.019
+ef09917435a7cab9382abe3708cf5152 7.3.020
+53c90651baf1b4b28c99947de58deb91 7.3.021
+c4cb1bf3fa0a45d9cad997cd02fa9439 7.3.022
+1e34e216b0e419096f796d3511ce88da 7.3.023
+5c2ff27d8ce8d1aeb42ff16ca1cb89c2 7.3.024
+69b3e00a17230da16d3be4b96f125196 7.3.025
+687a80a82d05e8e91e9ee659b3e0dd67 7.3.026
+1994a0d1e52111b9fa1b999745da93b8 7.3.027
+2438a52f25cf167bbf5711fc8c7323d7 7.3.028
+302ca6aa621c215736f3db069f8c2285 7.3.029
+ceb0e12297907b13dd39fafffa731c62 7.3.030
+acb42f7f4545a63d35396360dc2799ff 7.3.031
+56c9d1681bfc9fe5e76c281b905f0ad8 7.3.032
+4a399b6f1bcde6d991088118f5a58222 7.3.033
+40580589a13a36cc72a600200b93b8d2 7.3.034
+8f7a617b0cf8fea46e4b1557bc286fda 7.3.035
+3ac58b7fe8347ad87f3628bfb4970f1b 7.3.036
+d83c7635e8b65db98a377f3cc7b72ce0 7.3.037
+a310c68726540ac1a0759ef12778bed1 7.3.038
+6b7243d85b86e03b4a782e4bf6d7646e 7.3.039
+8aa33a527433f1907b72ac7c514d455d 7.3.040
+979abe1512bc48dbaed028a23cb2f6cc 7.3.041
+984ce81978ef2b12b3a09986d37e4719 7.3.042
+27b2418128b4322c3cb92b13d577ad6c 7.3.043
+c29e637b242682dc6df544a0bc89abc4 7.3.044
+bd6ac17eecf226a2d6a31e4fb9069ded 7.3.045
+d97f518c548de06b11b5682f2ca4d9a9 7.3.046
+ae37e72299f02ea1b7f2bb59932ed306 7.3.047
+39aaaf13dfef317febb2442626f262f1 7.3.048
+6469fb212e95ad83c21aaaaf8aee0f3a 7.3.049
+e40dc723ef91adee9854faceaba1e201 7.3.050
+5611eda78907716863ebd6ebd19a000f 7.3.051
+01011da656094510c1cdabbc80c129b9 7.3.052
+faaf035020dcf22b57fa76c998e4553b 7.3.053
+90bd11788f022dc1107f93e702734a2a 7.3.054
+5b4fe73d1c47ab36a6b0a8f5ddd2fe65 7.3.055
+b53b7452e5b92bb1b91e9dd97e52dfcd 7.3.056
+bce5e42b7d2b7a91c332e39ed1f0eec8 7.3.057
+1c6054466398f4612a81289de764ef5c 7.3.058
+e2cf5697e8708390e106553de68ebb2b 7.3.059
+16da4369ed89f0305cf2c3ed1bf338fc 7.3.060
+cbed85cdfe0ad4a1b7b43efc64b1531c 7.3.061
+77f08258dbf30e12914475802eeb9b3d 7.3.062
+97c878554fec3d4f9caf934c0a0c227d 7.3.063
+5f74fee465073a3eb48565300636d9db 7.3.064
+a20ea56117d918b43f5109c9c06787ed 7.3.065
+7c51cfbd55673906035df7b274b247c4 7.3.066
+45625adbc8757b46ba9393dc136cc2e1 7.3.067
+49b340dc261ed455c97d955517264a89 7.3.068
+b423664733d7fd9d7de052dad8154643 7.3.069
+b9ef636a41df5500f8437d38ab3177e2 7.3.070
+1afcb15f38d1e4926918dbbe52356382 7.3.071
+132f122c3b8ac49c1ad56f54c8994e3a 7.3.072
+4a387415ce192506bcb7353cd8dda3c0 7.3.073
+e2b2af94486554c6818693fbf1e3c34e 7.3.074
+91acb2d1e70f6b7bff5e02460d4c3e62 7.3.075
+2627b860bed5c08cead6e48986577fed 7.3.076
+2a8c6197b193a16cb273606d8afcb6b5 7.3.077
+660b3e99b1433a4e992e087e66bc1567 7.3.078
+f69b91c3c55ef81df257178e0af1ca73 7.3.079
+bbe3b3aa56bde525cd4028e807014b33 7.3.080
+d4ce2f5eab7a74f8a51a352b05fde53f 7.3.081
+75b69fb091a12c588992dd282841bde0 7.3.082
97aecde2ab504e543a96bec84b3b5638 vimrc"
diff --git a/testing/avahi/APKBUILD b/testing/avahi/APKBUILD
new file mode 100644
index 000000000..1a324acc9
--- /dev/null
+++ b/testing/avahi/APKBUILD
@@ -0,0 +1,113 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=avahi
+pkgver=0.6.28
+pkgrel=2
+pkgdesc="A multicast/unicast DNS-SD framework"
+url="http://www.avahi.org/"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev="gtk+-dev gdbm-dev"
+makedepends="py-gtk-dev py-dbus-dev intltool gobject-introspection expat-dev
+ libdaemon-dev glib-dev dbus-dev libcap-dev gdbm-dev gtk+-dev py-gdbm"
+install="$pkgname.pre-install"
+pkgusers="avahi"
+pkggroups="avahi"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tools $pkgname-ui-tools:uitools
+ $pkgname-glib $pkgname-ui $pkgname-libs $pkgname-compat-howl:howl
+ $pkgname-comat-libdns_sd:lidns_sd"
+source="http://www.avahi.org/download/avahi-$pkgver.tar.gz
+ gnome-nettool.png"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build ()
+{
+ cd "$srcdir/$pkgname-$pkgver"
+ # we dont build autoipd since dhcpcd does same job
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-autoipd \
+ --disable-qt3 \
+ --disable-qt4 \
+ --disable-gtk3 \
+ --disable-mono \
+ --disable-monodoc \
+ --disable-doxygen-doc \
+ --disable-xmltoman \
+ --enable-compat-libdns_sd \
+ --enable-compat-howl \
+ --with-distro="gentoo" \
+ --with-systemdsystemunitdir=/lib/systemd/system
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -d -o avahi -g avahi "$pkgdir"/var/run/avahi-daemon
+ ln -s avahi-compat-howl.pc "$pkgdir"/usr/lib/pkgconfig/howl.pc
+ ln -s avahi-compat-libdns_sd.pc \
+ "$pkgdir"/usr/lib/pkgconfig/libdns_sd.pc
+ ln -s avahi-compat-libdns_sd/dns_sd.h "$pkgdir"/usr/include/
+}
+
+tools() {
+ pkgdesc="Command line tools for mDNS browsing and publishing"
+ mkdir -p "$subpkgdir"/usr/bin
+ cd "$pkgdir"/usr/bin
+ mv avahi-browse* avahi-publish* avahi-resolve* avahi-set* \
+ "$subpkgdir"/usr/bin/
+}
+
+uitools() {
+ pkgdesc="UI tools for mDNS browsing"
+ depends="py-gtk py-dbus py-gdbm"
+ mkdir -p "$subpkgdir"/usr/bin
+ cd "$pkgdir"/usr/bin
+ mv avahi-bookmarks avahi-discover avahi-discover-standalone b* \
+ "$subpkgdir"/usr/bin/
+ install -D -m 644 "$srcdir"/gnome-nettool.png \
+ "$subpkgdir"/usr/share/pixmaps/gnome-nettool.png
+}
+
+glib() {
+ pkgdesc="Glib libraries and GObject wrapper for avahi"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libavahi-glib.so.* \
+ "$pkgdir"/usr/lib/libavahi-gobject.so.* \
+ "$subpkgdir"/usr/lib/
+}
+
+ui() {
+ pkgdesc="Gtk user interface library for Avahi"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libavahi-ui.so.* \
+ "$subpkgdir"/usr/lib/
+}
+
+libs() {
+ pkgdesc="Libraries for avahi run-time use"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libavahi-common.so.* \
+ "$pkgdir"/usr/lib/libavahi-client.so.* \
+ "$subpkgdir"/usr/lib/
+}
+
+
+howl() {
+ pkgdesc="Libraries for howl compatibility"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libhowl.so.* \
+ "$subpkgdir"/usr/lib/
+}
+
+lidns_sd() {
+ pkgdesc="Libraries for Apple Bonjour mDNSResponder compatibility"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libdns_sd.so.* \
+ "$subpkgdir"/usr/lib/
+}
+
+md5sums="d0143a5aa3265019072e53ab497818d0 avahi-0.6.28.tar.gz
+42c2905307c7a5dc6ac4b75f4c3d65a3 gnome-nettool.png"
diff --git a/testing/avahi/avahi.pre-install b/testing/avahi/avahi.pre-install
new file mode 100644
index 000000000..e982c7d41
--- /dev/null
+++ b/testing/avahi/avahi.pre-install
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+addgroup -S -g 28 netdev 2>/dev/null
+addgroup -S -g 86 avahi 2>/dev/null
+adduser -u 86 \
+ -h /var/run/avahi-daemon \
+ -s /bin/false \
+ -S -D -H \
+ -g "Avahi System User" \
+ -G avahi \
+ avahi 2>/dev/null
+
+exit 0
diff --git a/testing/avahi/gnome-nettool.png b/testing/avahi/gnome-nettool.png
new file mode 100644
index 000000000..227d0678a
--- /dev/null
+++ b/testing/avahi/gnome-nettool.png
Binary files differ
diff --git a/testing/bluez/APKBUILD b/testing/bluez/APKBUILD
index 70aa179df..746762d20 100644
--- a/testing/bluez/APKBUILD
+++ b/testing/bluez/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=bluez
-pkgver=4.72
+pkgver=4.81
pkgrel=0
pkgdesc="Tools for the Bluetooth protocol stack"
url="http://www.bluez.org/"
@@ -10,7 +10,7 @@ depends=
makedepends="dbus-dev gst-plugins-base-dev alsa-lib-dev libusb-compat-dev
libnl-dev"
subpackages="$pkgname-dev $pkgname-doc libbluetooth $pkgname-alsa $pkgname-cups
- $pkgname-netlink $pkgname-gstreamer"
+ $pkgname-gstreamer"
source="http://www.kernel.org/pub/linux/bluetooth/$pkgname-$pkgver.tar.bz2
bluetooth.initd
bluetooth.confd
@@ -27,7 +27,6 @@ build() {
--enable-gstreamer \
--enable-alsa \
--enable-usb \
- --enable-netlink \
--enable-tools \
--enable-bccmd \
--enable-hid2hci \
@@ -57,8 +56,8 @@ libbluetooth() {
alsa() {
pkgdesc="Bluez plugin for ALSA"
- mkdir -p "$subpkgdir"/etc "$subpkgdir"/usr/lib
- mv "$pkgdir"/etc/alsa* "$subpkgdir"/etc/
+ mkdir -p "$subpkgdir"/usr/share "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/share/alsa* "$subpkgdir"/usr/share/ || return 1
mv "$pkgdir"/usr/lib/alsa* "$subpkgdir"/usr/lib/
}
@@ -68,19 +67,12 @@ cups() {
mv "$pkgdir"/usr/lib/cups "$subpkgdir"/usr/lib/
}
-netlink() {
- pkgdesc="Bluez netlink plugin"
- mkdir -p "$subpkgdir"/usr/lib/bluetooth/plugins
- mv "$pkgdir"/usr/lib/bluetooth/plugins/netlink.so \
- "$subpkgdir"/usr/lib/bluetooth/plugins
-}
-
gstreamer() {
pkgdesc="Bluez plugin for gstreamer"
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/gstreamer* \
"$subpkgdir"/usr/lib/
}
-md5sums="1e7e4261954275076479a08dbeae26ca bluez-4.72.tar.bz2
-66408fb89b05e7ce7e61c4c3c356d2c6 bluetooth.initd
+md5sums="75fbc768bf626fc8f4cf466006767723 bluez-4.81.tar.bz2
+c511078403d7d27673581a8bb468b90b bluetooth.initd
a159d897a057f4675548327329c4cc22 bluetooth.confd"
diff --git a/testing/bluez/bluetooth.initd b/testing/bluez/bluetooth.initd
index 9ec58e97c..ef25720bf 100644
--- a/testing/bluez/bluetooth.initd
+++ b/testing/bluez/bluetooth.initd
@@ -12,7 +12,7 @@ start() {
ebegin "Starting Bluetooth"
if [ -x /sbin/udevadm ]; then
- udevadm trigger --subsystem-match=bluetooth
+ udevadm trigger --subsystem-match=bluetooth --action=add
eend $?
fi
diff --git a/testing/gnome-bluetooth/APKBUILD b/testing/gnome-bluetooth/APKBUILD
index 0eb6e9ca9..15d3afe56 100644
--- a/testing/gnome-bluetooth/APKBUILD
+++ b/testing/gnome-bluetooth/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gnome-bluetooth
pkgver=2.32.0
-pkgrel=0
+pkgrel=1
pkgdesc="The GNOME Bluetooth Subsystem"
url="http://live.gnome.org/GnomeBluetooth"
arch="x86 x86_64"
license="GPL LGPL"
-depends="hicolor-icon-theme obexd"
+depends="hicolor-icon-theme obexd-client obex-data-server"
makedepends="intltool py-gtk gobject-introspection libunique-dev libnotify-dev
libxi-dev libxslt py-libxml2 gnome-doc-utils"
install=
diff --git a/testing/gnome-disk-utility/APKBUILD b/testing/gnome-disk-utility/APKBUILD
new file mode 100644
index 000000000..636eace77
--- /dev/null
+++ b/testing/gnome-disk-utility/APKBUILD
@@ -0,0 +1,60 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gnome-disk-utility
+pkgver=2.32.0
+pkgrel=0
+pkgdesc="GNOME libraries and applications for dealing with storage devices"
+url="http://www.gnome.org"
+arch="all"
+license="GPL"
+depends=""
+makedepends="gnome-doc-utils intltool dbus-glib-dev libunique-dev avahi-dev
+ udisks-dev libnotify-dev hicolor-icon-theme libatasmart-dev
+ rarian-dev libxslt"
+install=
+subpackages="$pkgname-dev $pkgname-libs $pkgname-ui-libs:uilibs"
+source="http://ftp.gnome.org/pub/GNOME/sources/gnome-disk-utility/${pkgver%.*}/gnome-disk-utility-$pkgver.tar.bz2
+ fix-freeze.patch
+ exp2.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ patch -Np1 -i "$srcdir/fix-freeze.patch"
+ patch -Np1 -i "$srcdir/exp2.patch"
+}
+
+build ()
+{
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib/gnome-disk-utility \
+ --disable-scrollkeeper \
+ --disable-nautilus \
+ --disable-gtk-doc
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+libs() {
+ pkgdesc="Shared libraries used by Palimpsest"
+ mkdir -p "$subpkgdir"/usr/lib \
+ "$subpkgdir"/usr/share
+ mv "$pkgdir"/usr/lib/libgdu.so.* "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/share/icons "$subpkgdir"/usr/share/
+}
+
+uilibs() {
+ pkgdesc="Shared libraries used by Palimpsest"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libgdu-gtk.so.* "$subpkgdir"/usr/lib/
+}
+
+md5sums="f0366c8baebca0404d190b2d78f3582d gnome-disk-utility-2.32.0.tar.bz2
+c0161b09b620ef9c3975db400518eb1f fix-freeze.patch
+ac7d749bb6fa2e31bffb1f47822bc22b exp2.patch"
diff --git a/testing/gnome-disk-utility/exp2.patch b/testing/gnome-disk-utility/exp2.patch
new file mode 100644
index 000000000..449980362
--- /dev/null
+++ b/testing/gnome-disk-utility/exp2.patch
@@ -0,0 +1,16 @@
+--- ./src/gdu-gtk/gdu-size-widget.c.orig
++++ ./src/gdu-gtk/gdu-size-widget.c
+@@ -564,11 +564,11 @@
+
+ shown_extent = extent / unit_factor;
+
+- increment = (exp10 (floor (log10 (shown_extent))) / 10.0) * unit_factor;
++ increment = (exp2 (floor (log2 (shown_extent))) / 2.0) * unit_factor;
+
+ gtk_range_set_increments (GTK_RANGE (widget->priv->hscale),
+ increment,
+- increment * 10.0);
++ increment * 2.0);
+ }
+
+
diff --git a/testing/gnome-disk-utility/fix-freeze.patch b/testing/gnome-disk-utility/fix-freeze.patch
new file mode 100644
index 000000000..262748bfb
--- /dev/null
+++ b/testing/gnome-disk-utility/fix-freeze.patch
@@ -0,0 +1,32 @@
+From 82489b51443e1280dfb9fb251ea2693df1809aec Mon Sep 17 00:00:00 2001
+From: Pascal Terjan <pterjan@mandriva.com>
+Date: Mon, 3 May 2010 14:01:22 +0200
+Subject: [PATCH] Force GduPresentable ids to be UTF-8 (#616198)
+
+GduPresentable created in gdu pool include intheir id some strings
+in local encoding like _("Peripheral Devices"). This patch
+enforces them to be UTF-8.
+
+This fixes a crash of gvfs-gdu-volume-monitor when USB devices are
+available on a non UTF-8 system.
+---
+ src/gdu/gdu-pool.c | 3 +++
+ 1 files changed, 3 insertions(+), 0 deletions(-)
+
+diff --git a/src/gdu/gdu-pool.c b/src/gdu/gdu-pool.c
+index bd5eccf..cf6be53 100644
+--- a/src/gdu/gdu-pool.c
++++ b/src/gdu/gdu-pool.c
+@@ -473,6 +473,9 @@ gdu_pool_class_init (GduPoolClass *klass)
+ g_cclosure_marshal_VOID__OBJECT,
+ G_TYPE_NONE, 1,
+ GDU_TYPE_PRESENTABLE);
++#ifdef HAVE_BIND_TEXTDOMAIN_CODESET
++ bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
++#endif
+ }
+
+ static void
+--
+1.7.1
+
diff --git a/testing/gvfs/APKBUILD b/testing/gvfs/APKBUILD
index 8699d664f..76de80a2d 100644
--- a/testing/gvfs/APKBUILD
+++ b/testing/gvfs/APKBUILD
@@ -2,16 +2,18 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gvfs
pkgver=1.6.6
-pkgrel=1
-pkgdesc="userspace virtual filesystem"
-url="http://ftp.gnome.org/pub/gnome/sources/gvfs/1.6/"
-arch="x86 x86_64"
+pkgrel=3
+pkgdesc="Backends for the gio framework in GLib"
+url="http://ftp.gnome.org/pub/gnome/sources/gvfs/${pkgver%.*}/"
+arch="all"
license="GPL"
depends=
+triggers="$pkgname.trigger:/usr/lib/gvfs"
makedepends="dbus-glib-dev intltool fuse-dev udev-dev bluez-dev expat-dev
- samba-dev libsoup-dev"
+ samba-dev libsoup-dev avahi-dev libarchive-dev gnome-disk-utility-dev"
install=
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-fuse $pkgname-smb $pkgname-archive
+ $pkgname-obexftp"
source="http://ftp.gnome.org/pub/gnome/sources/gvfs/${pkgver%.*}/gvfs-$pkgver.tar.bz2"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -23,18 +25,68 @@ build() {
cd "$_builddir"
./configure --prefix=/usr \
--sysconfdir=/etc \
+ --libexecdir=/usr/lib/gvfs \
--mandir=/usr/share/man \
- --infodir=/usr/share/info
+ --infodir=/usr/share/info \
+ --enable-gdu \
+ --disable-gconf \
+ || return 1
make || return 1
}
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install
+}
+
+_mv_files() {
+ local i
+ for i in "$@"; do
+ mkdir -p "$subpkgdir"/${i%/*}
+ mv "$pkgdir"/$i "$subpkgdir"/$i || return 1
+ done
+}
+
+fuse() {
+ pkgdesc="FUSE support for gvfs"
+ triggers=
+ cd "$pkgdir"
+ _mv_files usr/lib/gvfs/gvfs-fuse-daemon
+}
- # remove the 2 lines below (and this) if there is no init.d script
- # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
- # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+smb() {
+ pkgdesc="Windows fileshare support for gvfs"
+ triggers=
+ cd "$pkgdir"
+ _mv_files \
+ usr/lib/gvfs/gvfsd-smb* \
+ usr/share/gvfs/mounts/smb*
}
+archive() {
+ pkgdesc="Archiving support for gvfs"
+ triggers=
+ cd "$pkgdir"
+ _mv_files \
+ usr/lib/gvfs/gvfsd-archive* \
+ usr/share/gvfs/mounts/archive*
+}
+
+obexftp() {
+ pkgdesc="ObexFTP support for gvfs"
+ triggers=
+ cd "$pkgdir"
+ _mv_files \
+ usr/lib/gvfs/gvfsd-obex* \
+ usr/share/gvfs/mounts/obex*
+}
+
+#gphoto2() {
+# pkgdesc="gphoto2 support for gvfs"
+#}
+#
+#afc() {
+# pkgdesc="AFC support for gvfs"
+#}
+
md5sums="e1f324c45ea07d630f85bd3199865fd9 gvfs-1.6.6.tar.bz2"
diff --git a/testing/gvfs/gvfs.trigger b/testing/gvfs/gvfs.trigger
new file mode 100644
index 000000000..e1d790682
--- /dev/null
+++ b/testing/gvfs/gvfs.trigger
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# Reload .mount files
+killall -USR1 gvfsd >&/dev/null
+exit 0
+
diff --git a/testing/libarchive/APKBUILD b/testing/libarchive/APKBUILD
new file mode 100644
index 000000000..28a1cbc81
--- /dev/null
+++ b/testing/libarchive/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libarchive
+pkgver=2.8.4
+pkgrel=1
+pkgdesc="library that can create and read several streaming archive formats"
+url="http://libarchive.googlecode.com/"
+arch="all"
+license="BSD"
+depends=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tools"
+makedepends="zlib-dev bzip2-dev xz-dev acl-dev openssl-dev expat-dev"
+depends_dev="$makedepends"
+source="http://libarchive.googlecode.com/files/libarchive-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build () {
+ cd "$_builddir"
+ ./configure --prefix=/usr --without-xml2
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+tools() {
+ pkgdesc="libarchive tools bsdtar and bsdcpio"
+ mkdir -p "$subpkgdir"/usr/
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
+}
+
+md5sums="83b237a542f27969a8d68ac217dc3796 libarchive-2.8.4.tar.gz"
diff --git a/testing/libdaemon/APKBUILD b/testing/libdaemon/APKBUILD
new file mode 100644
index 000000000..7a39c98df
--- /dev/null
+++ b/testing/libdaemon/APKBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libdaemon
+pkgver=0.14
+pkgrel=0
+pkgdesc="A lightweight C library which eases the writing of UNIX daemons"
+url="http://0pointer.de/lennart/projects/libdaemon/"
+arch="all"
+license="LGPL"
+depends=""
+makedepends=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://0pointer.de/lennart/projects/libdaemon/libdaemon-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build () {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --localstatedir=/var \
+ --disable-lynx \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="509dc27107c21bcd9fbf2f95f5669563 libdaemon-0.14.tar.gz"
diff --git a/testing/lua-sec/APKBUILD b/testing/lua-sec/APKBUILD
new file mode 100644
index 000000000..5d50486b2
--- /dev/null
+++ b/testing/lua-sec/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=lua-sec
+_name=luasec
+pkgver=0.4
+pkgrel=0
+pkgdesc="TLS/SSL Support for Lua"
+url="http://www.inf.puc-rio.br/~brunoos/luasec/"
+arch="x86 x86_64"
+license="MIT"
+depends="lua-socket"
+makedepends="lua-dev openssl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.inf.puc-rio.br/~brunoos/luasec/download/luasec-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_name-$pkgver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ make linux || return 1
+}
+
+package() {
+ _luasharedir=/usr/share/lua/5.1
+ _lualibdir=/usr/lib/lua/5.1
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/$_luasharedir "$pkgdir"/$_lualibdir
+ make LUAPATH="$pkgdir"/$_luasharedir \
+ LUACPATH="$pkgdir"/$_lualibdir \
+ install
+ mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+ cp -r samples "$pkgdir"/usr/share/doc/$pkgname/
+}
+
+md5sums="712158d60207bdbb6215fc7e07d8db24 luasec-0.4.tar.gz"
diff --git a/testing/obex-data-server/APKBUILD b/testing/obex-data-server/APKBUILD
new file mode 100644
index 000000000..d0ea7f2b1
--- /dev/null
+++ b/testing/obex-data-server/APKBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=obex-data-server
+pkgver=0.4.5
+pkgrel=0
+pkgdesc="D-Bus service for Obex access"
+url="http://wiki.muiline.com/obex-data-server"
+license="GPLv2+"
+arch="all"
+depends="!obexd"
+subpackages="$pkgname-doc"
+makedepends="dbus-glib-dev openobex-dev gtk+-dev libusb-compat-dev bluez-dev"
+source="http://tadas.dailyda.com/software/obex-data-server-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build ()
+{
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-bip=gdk-pixbuf
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="8b11e7527c1e3a36a2a9a0c52816ec7b obex-data-server-0.4.5.tar.gz"
diff --git a/testing/obexd/APKBUILD b/testing/obexd/APKBUILD
index 659a1faad..acc2ef5c3 100644
--- a/testing/obexd/APKBUILD
+++ b/testing/obexd/APKBUILD
@@ -1,12 +1,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=obexd
-pkgver=0.33
-pkgrel=0
-pkgdesc="D-Bus service providing high-level OBEX client and server side functionality"
+pkgver=0.37
+pkgrel=2
+pkgdesc="D-Bus service for Obex Server"
url="http://www.bluez.org/"
arch="x86 x86_64"
license="GPL2"
-depends=
+depends="!obex-data-server"
+subpackages="$pkgname-client"
makedepends="dbus-glib-dev openobex-dev glib-dev bluez-dev libical-dev"
source="http://www.kernel.org/pub/linux/bluetooth/$pkgname-$pkgver.tar.bz2"
@@ -23,4 +24,21 @@ package() {
cd "$srcdir"/$pkgname-$pkgver
make DESTDIR="$pkgdir" install
}
-md5sums="3926bbe252500a5b677105f5bd41b820 obexd-0.33.tar.bz2"
+
+_mv_files() {
+ local i
+ for i in "$@"; do
+ mkdir -p "$subpkgdir"/${i%/*}
+ mv "$pkgdir"/$i "$subpkgdir"/$i || return 1
+ done
+}
+
+client() {
+ pkgdesc="D-Bus service for Obex Client access"
+ depends=
+ cd "$pkgdir"
+ _mv_files usr/lib/obexd/obex-client \
+ usr/share/dbus-*/services/obex-client.service
+}
+
+md5sums="3126eced7f9d36aa52c3684bb31421e8 obexd-0.37.tar.bz2"
diff --git a/testing/openobex/APKBUILD b/testing/openobex/APKBUILD
index 0ad92cc24..fc7e48f42 100644
--- a/testing/openobex/APKBUILD
+++ b/testing/openobex/APKBUILD
@@ -1,13 +1,14 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=openobex
pkgver=1.5
-pkgrel=0
+pkgrel=2
pkgdesc="Implementation of the OBject EXchange (OBEX) protocol"
url="http://dev.zuckschwerdt.org/openobex/"
arch="x86 x86_64"
license="GPL LGPL"
depends=
-makedepends="bluez-dev libusb-dev"
+depends_dev="libusb-compat-dev"
+makedepends="bluez-dev libusb-compat-dev"
subpackages="$pkgname-dev libopenobex"
source="http://www.kernel.org/pub/linux/bluetooth/$pkgname-$pkgver.tar.bz2"
diff --git a/testing/psmisc/APKBUILD b/testing/psmisc/APKBUILD
new file mode 100644
index 000000000..3e3eef891
--- /dev/null
+++ b/testing/psmisc/APKBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=psmisc
+pkgver=22.13
+pkgrel=0
+pkgdesc="a set of some small useful utilities that use the proc filesystem"
+url="http://psmisc.sourceforge.net/"
+arch="x86 x86_64"
+license="BSD GPL"
+depends=
+makedepends="ncurses-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/psmisc/psmisc-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="e2c339e6b65b730042084023784a729e psmisc-22.13.tar.gz"
diff --git a/testing/xz/APKBUILD b/testing/xz/APKBUILD
new file mode 100644
index 000000000..b28637630
--- /dev/null
+++ b/testing/xz/APKBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xz
+pkgver=5.0.0
+pkgrel=0
+pkgdesc="Library and command line tools for XZ and LZMA compressed files"
+url="http://tukaani.org/xz/"
+arch="all"
+license="GPL LGPL custom"
+depends=""
+makedepends=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
+source="http://tukaani.org/xz/xz-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build ()
+{
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --disable-rpath \
+ --enable-werror
+ sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
+ sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+libs() {
+ pkgdesc="Libraries for decoding LZMA compression"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/lib*.so.* "$subpkgdir"/usr/lib/
+}
+
+md5sums="f3c0706d100ad2b6d63327584d026c50 xz-5.0.0.tar.gz"